HighLevelToHDM
Keywords: uk.ac.ic.doc.automed.xmlschema.transform.HighLevelToHDM class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.xmlschema.transform
Class HighLevelToHDM

    java.lang.Object
      uk.ac.ic.doc.automed.xmlschema.transform.HighLevelToHDM

    public class HighLevelToHDM

extends java.lang.Object

Constructor Summary
`HighLevelToHDM(Schema s1)` Creates a new instance of HighLevelToHDM

Method Summary
`static Schema` | `reverseTransformations(Schema startSchema, Schema endSchema)`
`void` | `setSchema(Schema s)` Set the schema to transform
`Schema` | `TransformToHDM(java.lang.String highLevelLanguageName, int prefixLength)` Transform any high level model into an HDM oriented one

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HighLevelToHDM

    public HighLevelToHDM(Schema s1)
                   throws NotFoundException

  Creates a new instance of HighLevelToHDM

  Throws:
    `NotFoundException`

Method Detail

### setSchema

    public void setSchema(Schema s)

  Set the schema to transform

### reverseTransformations

    public static Schema reverseTransformations(Schema startSchema,
                                                Schema endSchema)
                                         throws AutoMedException

  Throws:
    `AutoMedException`

### TransformToHDM

    public Schema TransformToHDM(java.lang.String highLevelLanguageName,
                                 int prefixLength)
                          throws AutoMedException

  Transform any high level model into an HDM oriented one

  Throws:
    `AutoMedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD